import java.awt.*;
import javax.swing.*;

/**
 * NestContain.java
 * 
 * An example of nested containers in a JComponent. This exammple
 * nests the star from StarBurst in a window that also contains 
 * a panel with four buttons.
 * 
 * Based on Pohl and McDowell, 'Java by Dissection' p 309.
 * 
 * Simon Parsons
 * 22nd October 2012
 *
 */
class NestContain {
	public static void main(String[] args){
		JFrame frame = new JFrame("Border Layout");
		Container pane = frame.getContentPane();
		
		// Bring a new panel into the mix
		JPanel panel = new JPanel();
		
		// Put buttons on the panel in a single column
		panel.setLayout(new GridLayout(4, 1));
		panel.add(new JButton("One"));
		panel.add(new JButton("Two"));
		panel.add(new JButton("Three"));
		panel.add(new JButton("Four"));
		
		// Now add the panel to pane, along with our Star graphic
		pane.add(panel, BorderLayout.WEST);
		pane.add(new Star(), BorderLayout.EAST);
		
		frame.pack();
		frame.setVisible(true);
		
	}
}