import java.awt.*;
import javax.swing.*;

/**
 * Star.java
 * 
 * Draws a star on the screen. as is usual for drawing, we
 * extend JComponent.
 * 
 * Based on Pohl and McDowell, 'Java by Dissection' pp 283-284.
 * 
 * Simon Parsons
 * 15th October 2012
 *
 */
class Star extends JComponent{
	private static final int RADIUS = 100;
	
	// To do any graphics we need to implement the paint function
	public void paint(Graphics g){
		double x1, x2, y1, y2;
		for (double angle = 0; angle < Math.PI;
				angle = angle +(Math.PI/16)){
					// Pick two points on the circumference of a circle
					// with center at (RADIUS, RADIUS)
					x1 = Math.cos(angle) * RADIUS + RADIUS;
					y1 = Math.sin(angle) * RADIUS + RADIUS;
					x2 = Math.cos(angle + Math.PI) * RADIUS + RADIUS;
					y2 = Math.sin(angle + Math.PI) * RADIUS + RADIUS;
					
					// Here's where we draw the line(s):
					g.drawLine((int)x1, (int)y1, (int)x2, (int)y2);
					
				}
	}
	
	// Make the JComponent big enough to show the image. These next functions
	// are called when pack is run to determine how big the pane should be.
	// By defining them we override existing definitions
	public Dimension getMinimumSize(){
		return new Dimension(2 * RADIUS, 2 * RADIUS);
	}
	
	public Dimension getPreferredSize(){
		return new Dimension(2 * RADIUS, 2 * RADIUS);
	}
}